# Laravel 8 Conference Event Demo

Transformed free Bootstrap theme called [TheEvent](https://bootstrapmade.com/theevent-conference-event-bootstrap-template/) into fully manageable Laravel project with adminpanel, 
to manage all the sections from event's homepage.

- - - - -

## Screenshot Example 1: managing speakers from event's homepage

![Laravel Conference event speakers](https://laraveldaily.com/wp-content/uploads/2019/09/Screen-Shot-2019-09-26-at-11.43.03-AM.png)

![Laravel Conference event speakers management](https://laraveldaily.com/wp-content/uploads/2019/09/Screen-Shot-2019-09-26-at-11.40.12-AM.png)

- - - - -

## Screenshot Example 2: managing schedule from event's homepage

![Laravel Conference event schedule](https://laraveldaily.com/wp-content/uploads/2019/09/Screen-Shot-2019-09-26-at-11.39.17-AM.png)

![Laravel Conference event schedule management](https://laraveldaily.com/wp-content/uploads/2019/09/Screen-Shot-2019-09-26-at-11.40.27-AM.png)

- - - - -

## Screenshot Example 3: homepage main settings management

![Laravel Conference event main page](https://laraveldaily.com/wp-content/uploads/2019/09/800.png)

![Laravel Conference event main management](https://laraveldaily.com/wp-content/uploads/2019/09/Screen-Shot-2019-09-26-at-11.54.02-AM.png)

- - - - -

- Front-end part is taken from [TheEvent by BootstrapMade](https://bootstrapmade.com/theevent-conference-event-bootstrap-template/) and transformed into Laravel Blade and assets.
- Admin part is fully generated with [QuickAdminPanel](https://2019.quickadminpanel.com).

---

## How to use

- Clone the repository with __git clone__
- Copy __.env.example__ file to __.env__ and edit database credentials there
- Run __composer install__
- Run __php artisan key:generate__
- Run __php artisan migrate --seed__ (it has some seeded data for your testing)
- That's it: launch the main URL. 
- You can login to adminpanel by going go `/login` URL and login with credentials __admin@admin.com__ - __password__

## License

Basically, feel free to use and re-use any way you want.

---

## More from our LaravelDaily Team

- Check out our adminpanel generator [QuickAdminPanel](https://quickadminpanel.com)
- Read our [Blog with Laravel Tutorials](https://laraveldaily.com)
- FREE E-book: [50 Laravel Quick Tips (and counting)](https://laraveldaily.com/free-e-book-40-laravel-quick-tips-and-counting/)
- Subscribe to our [YouTube channel Laravel Business](https://www.youtube.com/channel/UCTuplgOBi6tJIlesIboymGA)
- Enroll in our [Laravel Online Courses](https://laraveldaily.teachable.com/)
